Commit e67f44bc authored by Mark Murphy's avatar Mark Murphy

upgrade build scripts for API 29, AS 3.4.1

parent 1d414ca5
......@@ -3,12 +3,12 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
compileSdkVersion 'android-Q'
compileSdkVersion 29
defaultConfig {
applicationId "com.commonsware.android.q.bubble"
minSdkVersion 'Q'
targetSdkVersion 'Q'
minSdkVersion 29
targetSdkVersion 29
versionCode 1
versionName "1.0"
}
......
......@@ -3,12 +3,12 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
compileSdkVersion 'android-Q'
compileSdkVersion 29
defaultConfig {
applicationId "com.commonsware.android.q.loc.fg"
minSdkVersion 26
targetSdkVersion 'Q'
targetSdkVersion 29
versionCode 1
versionName "1.0"
}
......
......@@ -3,7 +3,7 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
compileSdkVersion 'android-Q'
compileSdkVersion 29
defaultConfig {
applicationId "com.commonsware.android.q.attention"
......@@ -30,8 +30,8 @@ android {
q {
dimension "scenario"
applicationId "com.commonsware.android.q.attentionq"
minSdkVersion "Q"
targetSdkVersion "Q"
minSdkVersion 29
targetSdkVersion 29
}
}
......
......@@ -3,12 +3,12 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
compileSdkVersion 'android-Q'
compileSdkVersion 29
defaultConfig {
applicationId "com.commonsware.android.q.auth.check"
minSdkVersion 'Q'
targetSdkVersion 'Q'
minSdkVersion 29
targetSdkVersion 29
versionCode 1
versionName "1.0"
}
......
......@@ -3,12 +3,12 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
compileSdkVersion 'android-Q'
compileSdkVersion 29
defaultConfig {
applicationId "com.commonsware.android.q.bubbleslice"
minSdkVersion 'Q'
targetSdkVersion 'Q'
minSdkVersion 29
targetSdkVersion 29
versionCode 1
versionName "1.0"
}
......
......@@ -8,14 +8,10 @@ buildscript {
}
dependencies {
classpath 'com.android.tools.build:gradle:3.4.0'
classpath 'com.android.tools.build:gradle:3.4.1'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
classpath "androidx.navigation:navigation-safe-args-gradle-plugin:$nav_version"
}
}
allprojects {
......@@ -38,7 +34,7 @@ ext {
koin_version = "1.0.2"
lifecycle_version = "2.1.0-alpha04"
recyclerview_version = "1.0.0"
sharetarget_version = "1.0.0-alpha01"
sharetarget_version = "1.0.0-alpha02"
slice_version = "1.0.0"
viewpager_version = "1.0.0"
work_version = "2.0.1"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment